| Qore Swagger Module Reference 2.2.3

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Swagger::ParameterGroup Class Reference

Common class for objects that have parameters. More...

Inheritance diagram for Swagger::ParameterGroup:
[legend]

## Public Member Functions
| addParameter (AbstractParameterObject p)
| Adds a parameter to the group.
| addParameter (string key, AbstractParameterObject p)
| Adds a parameter to the group.
| constructor (hash< auto > oh)
| Creates the object from the hash definition.
hash< string, AbstractParameterObject > | parameters ()
| A hash of parameters for this object.
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor.
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize.

## Public Attributes
string | query_obj
| Any query param with type "object"? (OpenAPI 3 compatible)
Public Attributes inherited from Swagger::ObjectBase
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema.

## Detailed Description

Common class for objects that have parameters.

## Member Function Documentation

## ◆ parameters()

hash< string, AbstractParameterObject > Swagger::ParameterGroup::parameters | ( |  | ) |

A hash of parameters for this object.

Hash values are AbstractParameterObjects